=== modified file 'bzrlib/tests/test_smart_add.py'
--- bzrlib/tests/test_smart_add.py	2009-02-08 13:54:28 +0000
+++ bzrlib/tests/test_smart_add.py	2009-02-08 14:26:35 +0000
@@ -34,7 +34,7 @@
                                        + path.raw_path.replace('/', '%'),
                                        warn=False)
         if self.should_print:
-            self._to_file.write('adding %s with id %s\n'
+            self._to_file.write('added %s with id %s\n'
                                 % (path.raw_path, file_id))
         return file_id
 

=== modified file 'bzrlib/tests/workingtree_implementations/test_smart_add.py'
--- bzrlib/tests/workingtree_implementations/test_smart_add.py	2009-02-08 14:21:08 +0000
+++ bzrlib/tests/workingtree_implementations/test_smart_add.py	2009-02-08 14:26:35 +0000
@@ -185,10 +185,10 @@
         # The order of adds is not strictly fixed:
         sio.seek(0)
         lines = sorted(sio.readlines())
-        self.assertEqual(['adding dir1 with id directory-dir1\n',
-                          'adding dir1/file2 with id file-dir1%file2\n',
-                          'adding file1 with id file-file1\n'],
-                         lines)
+        self.assertEqualDiff(['added dir1 with id directory-dir1\n',
+                              'added dir1/file2 with id file-dir1%file2\n',
+                              'added file1 with id file-file1\n',
+                             ], lines)
         wt.lock_read()
         self.addCleanup(wt.unlock)
         self.assertEqual([('', wt.path2id('')),

